#ifdef VS

attribute  vec3 aPosition;
attribute  vec4 aColor;

uniform mat4 ViewProjMatrix;

varying vec4 vDestinationColor; 

void main(void) 
{
	vec4 pos = vec4(aPosition,1);
	vDestinationColor=aColor;
	gl_Position=ViewProjMatrix * pos; 
}

#endif 


#ifdef FS

varying lowp vec4 vDestinationColor;

void main(void) 
{
	gl_FragColor = vDestinationColor;
}

#endif